<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.entity.RegistrationCommonFields (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.entity.RegistrationCommonFields (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/RegistrationCommonFields.html" target="_top">Frames</a></li>
<li><a href="RegistrationCommonFields.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.entity.RegistrationCommonFields" class="title">Uses of Class<br>io.mosip.registration.entity.RegistrationCommonFields</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.entity">io.mosip.registration.entity</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.util.mastersync">io.mosip.registration.util.mastersync</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.entity">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> in <a href="../../../../../io/mosip/registration/entity/package-summary.html">io.mosip.registration.entity</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> in <a href="../../../../../io/mosip/registration/entity/package-summary.html">io.mosip.registration.entity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/AppAuthenticationMethod.html" title="class in io.mosip.registration.entity">AppAuthenticationMethod</a></span></code>
<div class="block">The Entity Class for AppAuthenticationMethod</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/AppDetail.html" title="class in io.mosip.registration.entity">AppDetail</a></span></code>
<div class="block">The Entity Class for AppDetail.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ApplicantValidDocument.html" title="class in io.mosip.registration.entity">ApplicantValidDocument</a></span></code>
<div class="block">Entity class for valid document.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Application.html" title="class in io.mosip.registration.entity">Application</a></span></code>
<div class="block">The Entity Class for Application.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/AppRolePriority.html" title="class in io.mosip.registration.entity">AppRolePriority</a></span></code>
<div class="block">The Entity Class for AppRolePriority</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/BiometricAttribute.html" title="class in io.mosip.registration.entity">BiometricAttribute</a></span></code>
<div class="block">The Entity Class for BiometricAttribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/BiometricType.html" title="class in io.mosip.registration.entity">BiometricType</a></span></code>
<div class="block">The Entity Class for BiometricType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/BlacklistedWords.html" title="class in io.mosip.registration.entity">BlacklistedWords</a></span></code>
<div class="block">The Entity Class for blacklisted words.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/CenterMachine.html" title="class in io.mosip.registration.entity">CenterMachine</a></span></code>
<div class="block">The Entity Class for Center Machine details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/DocumentCategory.html" title="class in io.mosip.registration.entity">DocumentCategory</a></span></code>
<div class="block">The Entity Class for DocumentCategory.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/DocumentType.html" title="class in io.mosip.registration.entity">DocumentType</a></span></code>
<div class="block">The Entity Class for DocumentType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Gender.html" title="class in io.mosip.registration.entity">Gender</a></span></code>
<div class="block">The Entity Class for Gender.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/GlobalParam.html" title="class in io.mosip.registration.entity">GlobalParam</a></span></code>
<div class="block">The Entity Class for Global param</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Holiday.html" title="class in io.mosip.registration.entity">Holiday</a></span></code>
<div class="block">The Entity Class for Holiday.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/IdType.html" title="class in io.mosip.registration.entity">IdType</a></span></code>
<div class="block">The Entity class for IdType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/IndividualType.html" title="class in io.mosip.registration.entity">IndividualType</a></span></code>
<div class="block">The Entity Class for IndividualType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Language.html" title="class in io.mosip.registration.entity">Language</a></span></code>
<div class="block">The Entity Class for language</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Location.html" title="class in io.mosip.registration.entity">Location</a></span></code>
<div class="block">The Entity Class for Location.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/MachineMaster.html" title="class in io.mosip.registration.entity">MachineMaster</a></span></code>
<div class="block">The Entity Class for Machine master details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/MachineType.html" title="class in io.mosip.registration.entity">MachineType</a></span></code>
<div class="block">The Entity Class for MachineType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/PreRegistrationList.html" title="class in io.mosip.registration.entity">PreRegistrationList</a></span></code>
<div class="block">The Entity Class for Pre Registration entity.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ProcessList.html" title="class in io.mosip.registration.entity">ProcessList</a></span></code>
<div class="block">The Entity Class for ProcessList.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ReasonCategory.html" title="class in io.mosip.registration.entity">ReasonCategory</a></span></code>
<div class="block">The Entity Class for ReasonCategory.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ReasonList.html" title="class in io.mosip.registration.entity">ReasonList</a></span></code>
<div class="block">The Entity Class for ReasonList.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegCenterDevice.html" title="class in io.mosip.registration.entity">RegCenterDevice</a></span></code>
<div class="block">The Entity Class for Reg Center Device .</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegCenterUser.html" title="class in io.mosip.registration.entity">RegCenterUser</a></span></code>
<div class="block">The Entity Class for Reg Center User details.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegCentreMachineDevice.html" title="class in io.mosip.registration.entity">RegCentreMachineDevice</a></span></code>
<div class="block">The Entity Class for Reg Centre Machine Device details.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegDeviceMaster.html" title="class in io.mosip.registration.entity">RegDeviceMaster</a></span></code>
<div class="block">The Entity Class for Reg Device Master details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegDeviceSpec.html" title="class in io.mosip.registration.entity">RegDeviceSpec</a></span></code>
<div class="block">The Entity Class for Reg Device Spec details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegDeviceType.html" title="class in io.mosip.registration.entity">RegDeviceType</a></span></code>
<div class="block">The Entity Class for Reg Device Type details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a></span></code>
<div class="block">The Entity Class for Registration details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegistrationCenter.html" title="class in io.mosip.registration.entity">RegistrationCenter</a></span></code>
<div class="block">The Entity Class for Registration Center details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegistrationCenterType.html" title="class in io.mosip.registration.entity">RegistrationCenterType</a></span></code>
<div class="block">The Entity class for Registration CenterType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/RegMachineSpec.html" title="class in io.mosip.registration.entity">RegMachineSpec</a></span></code>
<div class="block">The Entity Class for Reg Machine Spec.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ScreenAuthorization.html" title="class in io.mosip.registration.entity">ScreenAuthorization</a></span></code>
<div class="block">The Entity Class for Screen Authorization details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/SyncControl.html" title="class in io.mosip.registration.entity">SyncControl</a></span></code>
<div class="block">The Entity class for SyncControl.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/SyncJobDef.html" title="class in io.mosip.registration.entity">SyncJobDef</a></span></code>
<div class="block">The Entity class for sync job def</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/Title.html" title="class in io.mosip.registration.entity">Title</a></span></code>
<div class="block">The Entity Class for mapping title to master data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/UserBiometric.html" title="class in io.mosip.registration.entity">UserBiometric</a></span></code>
<div class="block">The Entity Class for UserBiometric details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a></span></code>
<div class="block">The Entity Class for User Detail details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/UserMachineMapping.html" title="class in io.mosip.registration.entity">UserMachineMapping</a></span></code>
<div class="block">The Entity Class for User Machine Mapping.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/UserPassword.html" title="class in io.mosip.registration.entity">UserPassword</a></span></code>
<div class="block">The Entity Class for User Password details</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/UserRole.html" title="class in io.mosip.registration.entity">UserRole</a></span></code>
<div class="block">The Entity Class for User Role details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/entity/ValidDocument.html" title="class in io.mosip.registration.entity">ValidDocument</a></span></code>
<div class="block">The Entity Class for valid document.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.mastersync">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a> in <a href="../../../../../io/mosip/registration/util/mastersync/package-summary.html">io.mosip.registration.util.mastersync</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/util/mastersync/package-summary.html">io.mosip.registration.util.mastersync</a> with type parameters of type <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T,D extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;<br><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;D&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MetaDataUtils.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html#setCreateMetaData-java.util.Collection-java.lang.Class-">setCreateMetaData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;&nbsp;dtoList,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;&nbsp;entityClass)</code>
<div class="block">Sets the create meta data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static &lt;T,D extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;<br>D</code></td>
<td class="colLast"><span class="typeNameLabel">MetaDataUtils.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html#setCreateMetaData-T-java.lang.Class-">setCreateMetaData</a></span>(T&nbsp;source,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;&nbsp;destinationClass)</code>
<div class="block">This method takes <code>source</code> object like an DTO and a class which
 must extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity"><code>RegistrationCommonFields</code></a> and map all values from DTO object to the
 <code>destinationClass</code> object and return it.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static &lt;S,D extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;<br>D</code></td>
<td class="colLast"><span class="typeNameLabel">MetaDataUtils.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html#setUpdateMetaData-S-D-java.lang.Boolean-">setUpdateMetaData</a></span>(S&nbsp;source,
                 D&nbsp;destination,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;mapNullvalues)</code>
<div class="block">This method takes <code>source</code> object like an DTO and a class which
 must extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity"><code>RegistrationCommonFields</code></a> and map all values from DTO object to the
 <code>destination</code> object and return it.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../io/mosip/registration/util/mastersync/package-summary.html">io.mosip.registration.util.mastersync</a> with type arguments of type <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static &lt;T,D extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;<br><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;D&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MetaDataUtils.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html#setCreateMetaData-java.util.Collection-java.lang.Class-">setCreateMetaData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;&nbsp;dtoList,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;&nbsp;entityClass)</code>
<div class="block">Sets the create meta data.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static &lt;T,D extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;<br>D</code></td>
<td class="colLast"><span class="typeNameLabel">MetaDataUtils.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/mastersync/MetaDataUtils.html#setCreateMetaData-T-java.lang.Class-">setCreateMetaData</a></span>(T&nbsp;source,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">RegistrationCommonFields</a>&gt;&nbsp;destinationClass)</code>
<div class="block">This method takes <code>source</code> object like an DTO and a class which
 must extends <a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity"><code>RegistrationCommonFields</code></a> and map all values from DTO object to the
 <code>destinationClass</code> object and return it.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/entity/RegistrationCommonFields.html" title="class in io.mosip.registration.entity">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/entity/class-use/RegistrationCommonFields.html" target="_top">Frames</a></li>
<li><a href="RegistrationCommonFields.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
